SIZE(1)

NOME
size - elenca le dimensioni delle sezioni e la dimensione totale dei file binari

SINTASSI
size [-A|-B|-G|--format=compatibility]
     [--help]
     [-d|-o|-x|--radix=number]
     [--common]
     [-t|--totals]
     [--target=bfdname] [-V|--version]
     [-f]
     [objfile...]

DESCRIZIONE
L'utilità GNU size elenca le dimensioni delle sezioni e la dimensione totale per ciascuno dei file binari objfile nel suo elenco argomenti. Per impostazione predefinita, una linea di output è generata per ciascun file o per ciascun modulo se il file è un archivio.

objfile... sono i file oggetto da esaminare. Se non ne viene specificato nessuno, verrà usato il file "a.out".

OPZIONI
Le opzioni della riga di comando hanno i seguenti significati:

-A
-B
-G
--format=compatibility
    Usando una di queste opzioni si può scegliere di avere l'output da GNU size nella forma System V size (usando -A o --format=sysv), o Berkeley size (usando -B o --format=berkeley). Quello predefinito è il formato a una sola riga simile a quello di Berkeley. In alternativa si può selezionare il formato di output GNU (usando -G o --format=gnu) che è simile a quello di Berkeley ma le dimensioni sono contate diversamente.

    Qui c'è un esempio del formato Berkeley (predefinito) di output da size:

     $ size --format=Berkeley ranlib size  text data bss dec hex filename
    294880 81920 11592 388392 5ed28 ranlib  294880 81920 11888 388688 5ee50
    size

    Lo stile di output di Berkeley inserisce i dati in sola lettura nella colonna "text", non nella colonna "data", le colonne "dec" e "hex" mostrano entrambe la somma delle colonne "text", "data" e "bss" in formato decimale e esadecimale, rispettivamente.

    Il formato GNU contai dati in sola lettura nella colonna "data", non nella colonna "text", e mostra una sola volta la somma delle colonne "text", "data" e "bss" nella colonna "total". L'opzione --radix può essere usata per cambiare il numero base di tutte le colonne. Questi sono gli stessi dati mostrati secondo le convenzioni GNU:

     $ size --format=GNU ranlib size  text data bss total filename  279880
    96920 11592 388392 ranlib  279880 96920 11888 388688 size

    Questi sono gli stessi dati, ma visualizzati più vicini alle convenzioni System V:

     $ size --format=SysV ranlib size  ranlib :  section size addr
    .text 294880 8192  .data 81920 303104  .bss 11592 385024  Total 388392
       size :  section size addr  .text 294880 8192  .data 81920
    303104  .bss 11888 385024  Total 388688

--help
-h
-H
-?  Mostra un sommario di argomenti e opzioni accettabili.

-d
-o
-x
--radix=number
    Usando una di queste opzioni si può controllare se la dimensione di ciascuna sezione è data in decimale (-d, o --radix=10); ottale (-o, o --radix=8); o esadecimale (-x, o --radix=16). In --radix=number, solo i tre valori (8, 10, 16) sono supportati. La dimensione totale è sempre data in due basi; decimale ed esadecimale per l'output -d o -x, o ottale ed esadecimale se si sta usando -o.

--common
    Stampa la dimensione totale dei simboli comuni in ciascun file. Quando si usa il formato Berkeley o GNU questi sono inclusi nella dimensione bss [dati non inizializzati].

-t
--totals
    Mostra i totali di tutti gli oggetti elencati (solo il formato Berkeley o GNU).

--target=bfdname
    Specifica che il formato codice oggetto per objfile è bfdname. Questa opzione potrebbe non essere necessaria; size può riconoscere automaticamente molti formati.

-v
-V
--version
    Mostra il numero di versione di size.

-f  Ignorato. Questa opzione è usata da altre versioni del programma size, ma non è supportata dalla versione di GNU Binutils.

@file
    Legge le opzioni da riga di comando da file. Le opzioni lette sono inserite al posto dell'opzione originale @file. Se file non esiste o non può essere letto, l'opzione sarà trattata letteralmente, e non rimossa.

    Le opzioni in file sono separate da spazi vuoti. Si può includere uno spazio vuoto in un'opzione racchiudendo l'intera opzione fra apici, singoli o doppi. Può essere incluso qualsiasi carattere (compresa la barra inversa) facendo precedere al carattere una barra inversa. Il file può esso stesso contenere ulteriori opzioni @file; ciascuna di queste opzioni sarà elaborata ricorsivamente.

VEDERE ANCHE
ar(1), objdump(1), readelf(1) e i campi Info per binutils.

COPYRIGHT
Copyright (c) 1991-2024 Free Software Foundation, Inc.

È permesso copiare, distribuire e/o modificare questo documento nei termini della “Licenza per documentazione libera GNU” (GNU Free Documentation License), versione 1.3 o ogni versione successiva pubblicata dalla Free Software Foundation; senza sezioni non modificabili, senza testi di prima di copertina e di quarta di copertina. Una copia della licenza è inclusa nella sezione intitolata “Licenza per la documentazione libera GNU" (GNU Free Documentation License).

TRADUZIONE
La traduzione italiana di questa pagina di manuale è stata creata da Giulio Daprelà <giulio@pluto.it>, Marco Curreli <marcocurreli@tiscali.it> e Giuseppe Sacco <eppesuig@debian.org>

Questa traduzione è documentazione libera; leggere la GNU General Public License Versione 3 (https://www.gnu.org/licenses/gpl-3.0.html) o successiva per le condizioni di copyright. Non ci assumiamo alcuna responsabilità.

Per segnalare errori nella traduzione di questa pagina di manuale inviare un messaggio a pluto-ildp@lists.pluto.it.